## org.eclipse.emf.mapping
Interface FunctionPair

All Superinterfaces:
  EObject, MappingHelper, Notifier, TypeConverter

All Known Implementing Classes:
  FunctionPairImpl

    public interface FunctionPair

extends TypeConverter

A representation of the model object 'Function Pair'.

The following features are supported:

- `In2out`
- `Out2in`

See Also:
  `MappingPackage.getFunctionPair()`

Method Summary
`EOperation` `getIn2out()` Returns the value of the 'In2out' reference
`EOperation` `getOut2in()` Returns the value of the 'Out2in' reference
`void` `setIn2out(EOperation value)` Sets the value of the '`In2out`' reference
`void` `setOut2in(EOperation value)` Sets the value of the '`Out2in`' reference

Methods inherited from interface org.eclipse.emf.mapping.MappingHelper
`getHelpedObject, getMapper, getNested, getNestedIn, setHelpedObject, setMapper, setNestedIn`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getIn2out

    EOperation getIn2out()

  Returns the value of the 'In2out' reference.

  If the meaning of the 'In2out' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'In2out' reference.
  See Also:
    `setIn2out(EOperation)`, `MappingPackage.getFunctionPair_In2out()`

### setIn2out

    void setIn2out(EOperation value)

  Sets the value of the '`In2out`' reference.

  Parameters:
    `value` - the new value of the 'In2out' reference.
  See Also:
    `getIn2out()`

### getOut2in

    EOperation getOut2in()

  Returns the value of the 'Out2in' reference.

  If the meaning of the 'Out2in' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Out2in' reference.
  See Also:
    `setOut2in(EOperation)`, `MappingPackage.getFunctionPair_Out2in()`

### setOut2in

    void setOut2in(EOperation value)

  Sets the value of the '`Out2in`' reference.

  Parameters:
    `value` - the new value of the 'Out2in' reference.
  See Also:
    `getOut2in()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.